Package csb :: Package statistics :: Package samplers :: Package mc :: Module neqsteppropagator :: Class NonequilibriumStepPropagator

[frames] | no frames]

# Class NonequilibriumStepPropagator

source code

                        object --+
                                 |
    propagators.AbstractPropagator --+
                                     |
                                    NonequilibriumStepPropagator

Propagator class which propagates a system using NCMC-like stepwise trajectories

Nested Classes
Inherited from `propagators.AbstractPropagator`: `__metaclass__`

Instance Methods

__init__(self, protocol) x.__init__(...) initializes x; see help(type(x)) for signature | source code

AbstractPropagationResult

generate(self, init_state, return_trajectory=False) Generate a trajectory, starting from an initial state with a certain length. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
| protocol
Inherited from `object`: `__class__`

Method Details

### __init__(self, protocol)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `protocol` (Protocol) - stepwise protocol to be followed
Overrides: object.__init__
  (inherited documentation)

### generate(self, init_state, return_trajectory=False)

source code

Generate a trajectory, starting from an initial state with a certain length.

Parameters:
  - `init_state` - Initial state from which to propagate
  - `length` - Length of the trajectory (in integration steps or stochastic moves)
  - `return_trajectory` - Return complete Trajectory instead of the initial and final states only (PropagationResult)
Returns: AbstractPropagationResult
Overrides: propagators.AbstractPropagator.generate
  (inherited documentation)

Property Details

### protocol

Get Method:
  unreachable.protocol(self)
Set Method:
  unreachable.protocol(self, value)